Bug 133079 - Calc Navigator: toggle doesn't work if nothing is selected
Summary: Calc Navigator: toggle doesn't work if nothing is selected
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-05-16 08:52 UTC by Xisco Faulí
Modified: 2020-05-19 12:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-05-16 08:52:48 UTC

    
Comment 1 Xisco Faulí 2020-05-16 08:55:23 UTC
Steps to reproduce:
1. Open Calc
2. Open the Navigator
3. Click on Toggle

-> Nothing happens. Instead, all the items but sheet should be hidden.

Reproduced in

Version: 7.0.0.0.alpha1+
Build ID: 56d381c3deb213a40c54ce6e194f79f0334b5d7b
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-05-16 08:56:28 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5325ce6a3c791bd4a5ee6e71f95a403562ca811c

author	Caolán McNamara <caolanm@redhat.com>	2020-02-26 12:17:45 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2020-02-28 16:16:24 +0100
commit	5325ce6a3c791bd4a5ee6e71f95a403562ca811c (patch)
tree	6ba582c0887875ceb039b617d1b9344801b2c69c
parent	6a3e04abd653cb86550b911b62ca54e2942f957a (diff)
weld calc navigator

Bisected with: bibisect-linux64-6.5

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2020-05-16 19:39:33 UTC
I think the Sheets root was previously selected by default if nothing else was a candidate.
Comment 4 Commit Notification 2020-05-17 18:51:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b9e635d6a9f52edefd9d53b8feb68768381890e4

tdf#133079 ensure Sheet root is selected if nothing else would be

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2020-05-17 18:59:46 UTC
I believe that solves it
Comment 6 Xisco Faulí 2020-05-19 08:18:42 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2020-05-19 08:19:57 UTC
I meant, verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 8 Commit Notification 2020-05-19 12:43:38 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4435a3b02525067700ee494dbd91d84df985b001

tdf#98493, tdf#133079: sc: Add UItest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.